




      SUBROUTINE REFPREFDIST (IAT,JAT,IERR,PREFDST,SIGIJ)

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IAT, JAT, IERR, ICON, IATCON, JATCON, IAATYP,
     +              LOCIAT, LOCJAT, IAA, JAA, KAA
      REAL          PREFDST, SIGIJ
      LOGICAL       WIFIRA, WIFIRN







      IERR=0











      LOCIAT=PINIAA(IAT)
      LOCJAT=PINIAA(JAT)   
      IAA=ATIAA(IAT)
      JAA=ATIAA(JAT)
      KAA=MAX(IAA,JAA)
      IAATYP=RESTYP(IAA)



      IF (ATIAA(IAT).EQ.ATIAA(JAT)) THEN



         DO 10 ICON=1,MAXTAT
            IATCON=MUTCON(1,ICON,IAATYP)
            JATCON=MUTCON(2,ICON,IAATYP)
            IF (IATCON.EQ.0.AND.JATCON.EQ.0) GOTO 20
            IF ((LOCIAT.EQ.IATCON.AND.LOCJAT.EQ.JATCON).OR.
     +          (LOCJAT.EQ.IATCON.AND.LOCIAT.EQ.JATCON)) THEN
               PREFDST=DSTCON(ICON,IAATYP)
               SIGIJ=DSTSIG(ICON,IAATYP)
               IF (PREFDST.LT.0.7) THEN
                  PREFDST=1.0
                  SIGIJ=0.05
               END IF
               GOTO 998
            END IF
   10    CONTINUE
      ELSE
         IF (WIFIRA(IAA)) THEN
            IF (MAX(IAT,JAT).EQ.PNTAAS(KAA).AND.
     +          MIN(IAT,JAT).EQ.PNTAAS(KAA-1)+2) THEN
               PREFDST=1.329
               SIGIJ=0.02
               GOTO 998
            END IF
         ELSE IF (WIFIRN(IAA)) THEN
            IF (MAX(IAT,JAT).EQ.PNTAAS(KAA).AND.
     +          MIN(IAT,JAT).EQ.PNTAAS(KAA-1)+2) THEN
               PREFDST=1.607
               SIGIJ=0.012
               GOTO 998
            END IF
         END IF
      END IF



 20   CONTINUE
      PREFDST=1.5
      SIGIJ=0.1
      IERR=1



  998 CONTINUE


      RETURN
      END   
